Summary: Utilitis to deal with RRDfiles
Name: rrdUtils
Version: 2.3
Release: 4
Source: %{name}-%{version}.tar.gz
License: El Menda
Group: Applications

Requires: perl, rrdtool

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
This is a set of tools intended to help creation and displaying of RRD
files. The RRD characteristics (data sources, consolidation functions)
and the graphs are described in a configuration file that we can use to
create new instances of a RRD, and to generate the graphs for them.


%define _prefix /usr/local

%ifos linux
%define perl_prefix /usr
%else
%define perl_prefix %{_prefix}
%endif

%define rrddir /var/lib/rrd

%ifos solaris2.8
%define defgroup other
%else
%define defgroup bin
%endif


%prep
%setup -q -n %{name}

%build

#pushd snmp-kit
#patch -p0 < table_db.patch 
#popd

%install

make install install-snmp PREFIX=%{_prefix} PERL_PREFIX=%{perl_prefix} \
	DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{rrddir}/conf

%ifos solaris2.8
%define pkgname rrdUtils
%ultimatepkg
%pkgkreator
%endif


%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,%{defgroup},0755)
%doc DESCRIPTION ToDo EXAMPLES examples snmp-kit/table_db.patch

%attr(0755,root,%{defgroup}) %{_bindir}/RRDcreator
%attr(0755,root,%{defgroup}) %{_bindir}/RRDgrapher
%{perl_prefix}/lib/perl5/site_perl/RRDutils.pm

%dir %{rrddir}
%dir %{rrddir}/conf


%changelog
* Thu Dec  5 2002 Javier Palacios <javier.palacios@rediris.es>
- 2.3 version. The makefile patch is deleted, with changes hardcoded
  on the source tree

* Tue Oct 29 2002 Javier Palacios <javier.palacios@rediris.es>
- Upgraded to 2.2 version

* Thu Oct 23 2002 Javier Palacios <javier.palacios@rediris.es>
- First rpm version

